Get all SDKs

View as Markdown
Lists all SDKs the authenticated user has access to. **Note:** - Use the `sdkIds` parameter to get the generation build status of multiple SDKs in a single call. - When you pass the `sdkIds` value, other filters are ignored and the response contains only the accessible SDKs from this list.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

workspaceIdstringRequired
The ID of the workspace that contains the SDK.
sdkIdslist of stringsOptional

A comma-separated list of SDK IDs to return in the response. If you pass this query parameter with other filters, the other filters are ignored.

buildStatusenumOptional
Filter results by build status.
Allowed values:
languageenumOptional
Filter results by SDK language.
sourceIdstringOptional
Filter results by the originating Postman Collection or specification ID.
cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

limitintegerOptional<=25Defaults to 25
The maximum number of rows to return in the response, up to a maximum value of 25. Any value greater than 25 returns a 400 Bad Request response.

Response

Successful Response
sdkListobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error